export interface AppraisalSubordinateModel {
    evaluationRoundId: string
    companyId: string
    tdesc: string
    edesc: string
    masfromevaluationassessment: Masfromevaluationassessment[]
}

export interface Masfromevaluationassessment {
    companyId: string
    active: boolean
    masfromStatusType: MasfromStatusType
    apsapproveType: ApsapproveType
    apsassessy: Apsassessy
    gread: string
    sumScore: number
    typeList: TypeList[]
    statusIdp: {
        shortName: string,
        statusType: string
    }
}

export interface MasfromStatusType {
    code: string
    tdesc: string
    edesc: string
}

export interface ApsapproveType {
    code: string
    tdesc: string
    edesc: string
}

export interface Apsassessy {
    employeeId: string
    bossId: string
    prefix: Prefix
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu1
    bu2: Bu2
    bu3: Bu3
    bu4: Bu4
    bu5: Bu5
    position: Position
    job: Job
    pl: Pl
    status: Status
    time0: Time0
    resignDate: string
    endWorkDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu1 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu2 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu3 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu4 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu5 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time0 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface TypeList {
    statusType: string
    competencyTypeId: string
    shortName: string
}